import { useCollocation } from "@/modules/collocation";
import { defineComponent } from "vue";
import Mat from "./Mat";
import Product from "./Product";

export default defineComponent({
  setup() {
    const collocation = useCollocation();

    return () => {
      const { editType } = collocation.store;

      if (editType == "mat") return <Mat />;
      return <Product />;
    };
  },
});
