import { css } from "@linaria/core";
import { initQueentreeExplorer } from "@queenjs-modules/queentree-explorer";
import { defineComponent } from "vue";
import { string } from "vue-types";

export default defineComponent({
  props: {
    msg: string(),
  },
  setup(props) {
    const queentreeExp = initQueentreeExplorer();
    queentreeExp.actions.init();
    return () => (
      <div class={rootStyle}>
        <queentreeExp.components.Viewport class="h-1/1"/>
      </div>
    );
  },
});

const rootStyle = css`
  border-right: 1px solid #eaeaea;
  h1 {
    margin: 40px 0 0;
  }
`;
